Record a one-time opt-out bypass for a send
curl --request POST \
--url https://api.payable.run/api/v1/clients/{id}/channels/{channel}/bypass-send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "Cliente pediu contato urgente",
"debtId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.payable.run/api/v1/clients/{id}/channels/{channel}/bypass-send"
payload = {
"reason": "Cliente pediu contato urgente",
"debtId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reason: 'Cliente pediu contato urgente',
debtId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.payable.run/api/v1/clients/{id}/channels/{channel}/bypass-send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.payable.run/api/v1/clients/{id}/channels/{channel}/bypass-send",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'reason' => 'Cliente pediu contato urgente',
'debtId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.payable.run/api/v1/clients/{id}/channels/{channel}/bypass-send"
payload := strings.NewReader("{\n \"reason\": \"Cliente pediu contato urgente\",\n \"debtId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.payable.run/api/v1/clients/{id}/channels/{channel}/bypass-send")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reason\": \"Cliente pediu contato urgente\",\n \"debtId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.payable.run/api/v1/clients/{id}/channels/{channel}/bypass-send")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reason\": \"Cliente pediu contato urgente\",\n \"debtId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"bypassOptOut": true,
"channel": "whatsapp",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"type": "https://docs.payable.run/errors/validation_error",
"title": "Bad Request",
"status": 400,
"detail": "One or more request fields are invalid.",
"instance": "/api/v1/clients",
"code": "VALIDATION_ERROR",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
]
}Clients
Record a one-time opt-out bypass for a send
POST
/
api
/
v1
/
clients
/
{id}
/
channels
/
{channel}
/
bypass-send
Record a one-time opt-out bypass for a send
curl --request POST \
--url https://api.payable.run/api/v1/clients/{id}/channels/{channel}/bypass-send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "Cliente pediu contato urgente",
"debtId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.payable.run/api/v1/clients/{id}/channels/{channel}/bypass-send"
payload = {
"reason": "Cliente pediu contato urgente",
"debtId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reason: 'Cliente pediu contato urgente',
debtId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.payable.run/api/v1/clients/{id}/channels/{channel}/bypass-send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.payable.run/api/v1/clients/{id}/channels/{channel}/bypass-send",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'reason' => 'Cliente pediu contato urgente',
'debtId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.payable.run/api/v1/clients/{id}/channels/{channel}/bypass-send"
payload := strings.NewReader("{\n \"reason\": \"Cliente pediu contato urgente\",\n \"debtId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.payable.run/api/v1/clients/{id}/channels/{channel}/bypass-send")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reason\": \"Cliente pediu contato urgente\",\n \"debtId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.payable.run/api/v1/clients/{id}/channels/{channel}/bypass-send")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reason\": \"Cliente pediu contato urgente\",\n \"debtId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"bypassOptOut": true,
"channel": "whatsapp",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"type": "https://docs.payable.run/errors/validation_error",
"title": "Bad Request",
"status": 400,
"detail": "One or more request fields are invalid.",
"instance": "/api/v1/clients",
"code": "VALIDATION_ERROR",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
]
}Authorizations
Use Authorization: Bearer esk_live_... or esk_test_... for API access